libiscsi2_1.12.0-2_amd64.deb


Advertisement

Description

libiscsi2 - iSCSI client shared library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libiscsi2
Package version 1.12.0
Package release 2
Package architecture amd64
Package type deb
Installed size 155 B
Download size 50.89 KB
Official Mirror ftp.br.debian.org
Libiscsi is a clientside library to implement the iSCSI protocol
that can be used to access resource of an iSCSI Target.
The library is fully async with regards to iscsi commands and scsi
tasks, but a sync layer is also provided for ease of use for simpler
applications.
This package contains the library itself.

Alternatives

Package Version Architecture Repository
libiscsi2_1.12.0-2_i386.deb 1.12.0 i386 Debian Main
libiscsi2 - - -

Requires

Name Value
libc6 >= 2.14
multiarch-support -

Download

Type URL
Binary Package libiscsi2_1.12.0-2_amd64.deb
Source Package libiscsi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libiscsi2 deb package:
    # sudo apt-get install libiscsi2

Files

Path
/usr/lib/x86_64-linux-gnu/libiscsi.so.2
/usr/lib/x86_64-linux-gnu/libiscsi.so.2.1.12
/usr/share/doc/libiscsi2/changelog.Debian.gz
/usr/share/doc/libiscsi2/copyright

Changelog

2014-07-31 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.12.0-2) unstable; urgency=medium
* add --disable-werror opt to ./configure
(hopefully closes: #753848)
* ship some manpages (--enable-manpages)
* iscsi-dd-format-string.patch
2014-07-31 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.12.0-1) unstable; urgency=medium
* new upstream release
* removed all debian-specific patches (included upstream)
* disable usage of libgcrypt for disabling of md5 in fips mode
* fix-soversion.diff - fix version info mess
2014-07-16 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.11.0-5) unstable; urgency=medium
* ship the forgotten libiscsi.pc file
2014-05-07 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.11.0-4) unstable; urgency=medium
* test-tool-0430-cast.diff : fix "cast increases required alignment"
warning on mips and arm in one of the old tests
2014-05-07 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.11.0-3) unstable; urgency=medium
* format-string-cast-ptrdiff-on-32bit-arch-747262.diff (Closes: #747262) 
* format-string-int-on-32bit.diff - more format string fixes for 32bits
* slist.h-undef-SLIST_REMOVE-747263.diff (Closes: #747263)
2014-05-06 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.11.0-2) unstable; urgency=medium
* refresh debian/copyright (Closes: #747207)
2014-04-27 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.11.0-1) unstable; urgency=low
* new upstream release 1.11.0
* bump soname from libscsi1 to libscsi2, refresh symbols file
* removed patches (included upstream):
- always-export-iscsi_set_tcp_keepalive.patch
- export-only-required-symbols.patch
* remove build-dep on libpopt-dev
* build-depend on libcunit (unit tests)
* do NOT build-depend on libgcrypt (solely for md5)
* fix description of the -dev package
* stop assigning useless variables in debian/rules,
debhelper takes care of it automatically
* bump Standards-Version to 3.9.5 (no changes)
2012-05-12 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.4.0-3) unstable; urgency=low
* patches/always-export-iscsi_set_tcp_keepalive.patch: always
define and export the function, even on platform that does
not support some or all TCP socket options. (Closes: #672529)
* patches/export-only-required-symbols.patch: create a list of
symbols which needs to be exported, and use it with libtool.
* remove unnecessary symbols from debian/symbols and rename it
to debian/libiscsi1.symbols.
* simplify/cleanup debian/rules, and explicitly use
dpkg-architecture -qDEB_HOST_MULTIARCH
* add debian/.gitignore
2012-05-11 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.4.0-2) unstable; urgency=low
* introduce debian/symbols file to track which symbols introduced when
2012-05-04 - Michael Tokarev <mjt@tls.msk.ru>
libiscsi (1.4.0-1) unstable; urgency=low
* new upstream version
* build-depend on debhelper > 9~
* update Standards-Version to 3.9.3 (no changes needed)

See Also

Package Description
libiscwt-java-doc_5.3.20100629-3_all.deb Javadoc API description for isCWT
libiscwt-java_5.3.20100629-3_all.deb abstractions and Java implementations for rendering PDF
libisds-dev_0.9-1+b1_amd64.deb Czech Data Boxes access library (development files)
libisds5_0.9-1+b1_amd64.deb Czech Data Boxes access library (shared library)
libisfreetype-java-doc_5.3.20100629-3_all.deb Javadoc API description for isFreeType
libisfreetype-java_5.3.20100629-3_all.deb Java wrapper for FreeType font handling library
libisl-dev_0.12.2-2_amd64.deb manipulating sets and relations of integer points bounded by linear constraints
libisl10_0.12.2-2_amd64.deb manipulating sets and relations of integer points bounded by linear constraints
libisnativec-java-doc_5.3.20100629+fix-1_all.deb Javadoc API description for isNativeC
libisnativec-java_5.3.20100629+fix-1_all.deb helper routines to access native code from Java
libiso9660-8_0.83-4.2_amd64.deb library to work with ISO9660 filesystems
libiso9660-dev_0.83-4.2_amd64.deb library to work with ISO9660 filesystems (development files)
libisoburn-dev_1.3.2-1.1_amd64.deb development package for libisoburn
libisoburn-doc_1.3.2-1.1_all.deb documentation package for libisoburn
libisoburn1_1.3.2-1.1_amd64.deb library to handle creation and inspection of ISO-9660 file systems
Advertisement
Advertisement